using Bimix.UI.Shared.Interfaces;

public class NoOpScannerService : IScannerService
{
    public bool IsAvailable => false;
    public Task<string?> ScanBarcodeAsync()
    {
        return Task.FromResult<string?>(null);
    }
    public Task<bool> RequestCameraPermissionsAsync()
    {
        return Task.FromResult(false);
    }


}